Core - Bug # 50508

Status: Resolved Priority: Should have
Author: Oliver Hader Category: File Abstraction Layer (FAL)
Created: 2013-07-29 Assigned To:

Updated: 2014-07-25 Due date:

TYPO3 Version: 6.2

PHP Version: 53

Complexity: medium

Is Regression: Yes

Sprint Focus:

Subject: Re-uploading file in backend fails

Description

Steps to reproduce in TYPO3 backend:
- upload a file to a folder in the filelist
- delete that file in the filelist
- upload the file (same filename) again

Situation:
#1317178604: No file found for given UID

The reason for that is, that deleting the file sets the "deleted" flag for the file object, which does not get purged once the file is
physically available again.

Related issues:

related to Core - Bug # 48336: sys_file record doesn't get flagged as delete ... Rejected 2013-05-17
related to Core - Bug # 50363: Fatal error: Call to undefined method TYPO3\CM... Rejected 2013-07-24
related to Core - Bug # 51698: Delete sys_file entry when a file is deleted Resolved 2013-09-03
related to Core - Bug # 50525: Deleted flag is not updated during file indexing Resolved 2013-07-29
related to Core - Bug # 44105: Image size does not get updated Closed 2012-12-19
History

#1 - 2013-07-29 09:03 - Oliver Hader

- File 50508.html added

See attached stack-trace for details...

#2 - 2013-07-29 17:19 - Philipp Gampe
- Status changed from New to Accepted
- Complexity set to medium

@Oli are you working on this?

#3 - 2013-07-30 07:48 - Hans-Joachim Reinecke
You can't open the fileadmin folder containing the once again uploaded file even.

Same error message.

Provisional solution: Deleting the sys_file entry of that file via phpMyadmin. This is forcing Typo3 fileadmin to create a new sys_file entry with a
different uid. Now the folder and it’s content are available again.

This bug is very bad on production systems. Imagine authors having uploaded hundreds of files and then all of the sudden these are no longer
available for content editing.

I’'m just short before rolling out a new site and the editors have to upload and integrate a lot of files.

Really can’t understand status "Should have". This is an urgent "Must Have"! |'ve been spending several hours on testing this happens only in
case of same filename.

Thanks for everyone working on a solution!

#4 - 2013-07-30 08:19 - Oliver Hader

Hans-Joachim Reinecke wrote:

You can 't open the fileadmin folder containing the once again uploaded file even.

Same error message.

Provisional solution: Deleting the sys_file entry of that file via phpMyadmin. This is forcing Typo3 fileadmin to create a new sys_file entry with a
different uid. Now the folder and it’s content are available again.

This bug is very bad on production systems. Imagine authors having uploaded hundreds of files and then all of the sudden these are no longer
available for content editing.

I’'m just short before rolling out a new site and the editors have to upload and integrate a lot of files.

Really can 't understand status "Should have". This is an urgent "Must Have"! |'ve been spending several hours on testing this happens only
in case of same filename.

Thanks for everyone working on a solution!

Don't delete the sys_file record, but rather remove the deleted flag, since this is the origin of the problem.
The regression, that caused this problem has been reverted in all branches in between and will be released.
An accordant change in the indexer task now explicitly removes the deleted flag on existing files - see the File Abstraction Layer Indexing task in the

scheduler and run it (Git versions currently only)

#5 - 2013-07-30 08:19 - Oliver Hader

- Status changed from Accepted to On Hold

#6 - 2013-09-06 16:44 - Ernesto Baschny

- Is Regression set to Yes

#7 - 2013-09-06 22:24 - Ernesto Baschny
- Category changed from 1394 to File Abstraction Layer (FAL)

#8 - 2013-09-09 11:13 - Tobias Pierschel

We ran today exactly in the same issue. | totaly agree with Hans-Joachim " This bug is very bad on production systems." it would be very great if there
would be a qgick solution for this problem.

#9 - 2013-09-09 21:51 - Oliver Hader

- Status changed from On Hold to Accepted

#10 - 2013-09-10 00:17 - Ernesto Baschny

Olly: This will be solved as soon as we have #51698 in, right?

2015-08-04 2/3



Maybe there will be need for some "cleanup" task to get rid of sys_file's that were not deleted before? Or would the reindexing scheduler task already
do that?

#11 - 2014-04-02 20:34 - Markus Klein

Is this still an issue on 6.2?

#12 - 2014-05-10 11:19 - Sebastian Fischer

Tested it in trunk and its working. After upload the filelist is usable and the file gets shown in the filelist.

#13 - 2014-05-13 18:29 - Helmut Hummel

- Status changed from Accepted to Resolved

sys_file does not have a deleted field any more

#14 - 2014-07-25 07:51 - David Bruchmann

Hi,

| discovered an issue where the problem is not really solved yet:

Uploading a *.t3d-file in the database is written /user_upload!/... but the file is not found there but in /fileadmin/upload!...

| changed than the path in the database-table sys-files and can proceed with import.
After the import calling the extension-manager produces an error again as the file is moved then to another location in fileadmin.

The extension | tried it with is t3onepage.

Files

50508.html 11 kB 2013-07-29 Oliver Hader
